<?php
/**
 * Clase Base Bean para BaseCrPlanillaPeriodoBN
 *
 * @package    Sedapal
 * @subpackage BaseCrPlanillaPeriodoBN
 * @author     Willy
 * @version    SVN:: BaseCrPlanillaPeriodoBN.class.php,v 1.1 2014-03-12 10:45:01 william.taype Exp $
 */
abstract class BaseCrPlanillaPeriodoBN
{
  protected $Periodo;
  protected $Estado;
  protected $Activo;
  protected $TotalIngresos;
  protected $TotalDescuentos;
  protected $Neto;
  protected $FechaCierre;
  protected $FechaApertura;
  protected $Mensaje;
  protected $Error;

  public function getPeriodo(){
    return $this->Periodo;
  }
  public function setPeriodo($v1){
    $this->Periodo = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getActivo(){
    return $this->Activo;
  }
  public function setActivo($v1){
    $this->Activo = $v1; 
  }

  public function getTotalIngresos(){
    return $this->TotalIngresos;
  }
  public function setTotalIngresos($v1){
    $this->TotalIngresos = $v1; 
  }

  public function getTotalDescuentos(){
    return $this->TotalDescuentos;
  }
  public function setTotalDescuentos($v1){
    $this->TotalDescuentos = $v1; 
  }

  public function getTotalAportes(){
    return $this->TotalAportes;
  }
  public function setTotalAportes($v1){
    $this->TotalAportes = $v1; 
  }

  public function getNeto(){
    return $this->Neto;
  }
  public function setNeto($v1){
    $this->Neto = $v1; 
  }

  public function getFechaCierre(){
    return $this->FechaCierre;
  }
  public function setFechaCierre($v1){
    $this->FechaCierre = $v1; 
  }

  public function getFechaApertura(){
    return $this->FechaApertura;
  }
  public function setFechaApertura($v1){
    $this->FechaApertura = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_planilla_periodoBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_planilla_periodoRs )
  {
    $o_CrPlanillaPeriodoBN = new CrPlanillaPeriodoBN();
    $o_CrPlanillaPeriodoBN->setPeriodo( $o_Cr_planilla_periodoRs['Periodo'] );
    $o_CrPlanillaPeriodoBN->setEstado( $o_Cr_planilla_periodoRs['Estado'] );
    $o_CrPlanillaPeriodoBN->setActivo( $o_Cr_planilla_periodoRs['Activo'] );
    $o_CrPlanillaPeriodoBN->setTotalIngresos( $o_Cr_planilla_periodoRs['TotalIngresos'] );
    $o_CrPlanillaPeriodoBN->setTotalDescuentos( $o_Cr_planilla_periodoRs['TotalDescuentos'] );
    $o_CrPlanillaPeriodoBN->setNeto( $o_Cr_planilla_periodoRs['Neto'] );
    $o_CrPlanillaPeriodoBN->setFechaCierre( $o_Cr_planilla_periodoRs['FechaCierre'] );
    $o_CrPlanillaPeriodoBN->setFechaApertura( $o_Cr_planilla_periodoRs['FechaApertura'] );
    return $o_CrPlanillaPeriodoBN;
  }
}